from turtle import *
#import turtle
from random import *

#turtle.register_shape("pupil2.gif")
#turtle.register_shape("desk",((5,-15),(15,-15),(15,15),(5,15)))
register_shape("./images/pupilBlue.gif")
register_shape("./images/pupilRed.gif")
register_shape("./images/pupilGreen.gif")
register_shape("desk",((5,-15),(15,-15),(15,15),(5,15)))

class Pupils(Turtle):
    def __init__(self):
        Turtle.__init__(self)
        self.penup()
        if random()<0.33:
            self.shape("./images/pupilBlue.gif")
            self.color("blue")
        elif random()<0.66:
            self.shape("./images/pupilRed.gif")
            self.color("red")
        else:
            self.shape("./images/pupilGreen.gif")
            self.color("green")

    def talk(self,pTalk):
        if random()<pTalk:
            self.write('ciao',font=('Arial', 12))

    def move(self, sigma):
        self.setx(self.xcor()+gauss(0,sigma))
        self.sety(self.ycor()+gauss(0,sigma))

class Desk(Turtle):
    def __init__(self,x,y):
        Turtle.__init__(self)
        self.penup()
        self.setx(x)
        self.sety(y)
        self.shape("desk")
        self.color("brown")
    

pupilsList=[]

nPupils=input("How many pupils (0 to follow desk number) ")
nCycles=input("How many cycles ")
sigmaMove=input("sigma in movement ")
pTalk=input("Talking probability ")


deskPositions=[(-75,75),(-25,75),(25,75),(75,75),\
       (-75,25),(-25,25),(25,25),(75,25),\
       (-75,-25),(-25,-25),(25,-25),(75,-25),\
       (-75,-75),(-25,-75),(25,-75),(75,-75) ]

#create and display desks

if nPupils==0:
 for n in range(len(deskPositions)):
    aDesk=Desk(deskPositions[n][0],deskPositions[n][1])



xStart=-10*nPupils/2
yStart=-10*nPupils/2   

if nPupils==0:
 for n in range(len(deskPositions)):
    aPupil=Pupils()               
    aPupil.setx(deskPositions[n][0])
    aPupil.sety(deskPositions[n][1])

    pupilsList.append(aPupil)

else:
 for n in range(nPupils):
    aPupil=Pupils()

    aPupil.setx(xStart)
    aPupil.sety(yStart)

    pupilsList.append(aPupil)

    xStart+=10
    yStart+=10

for nCycle in range(nCycles):
    shuffle(pupilsList)
    for aPupil in pupilsList:

        aPupil.move(sigmaMove)
        aPupil.clear()
        aPupil.talk(pTalk)

raw_input("Enter to close the graphic window ")
bye()

"""
aPupil.setx(0)
aPupil.sety(0)
aPupil.color("red")
aPupil.write("write bye() to close the graphic window",\
             font=("Arial", 14))
"""
